<?php
if(!defined('PLX_ROOT')) {
	exit;
}

# Control du token du formulaire
plxToken::validateFormToken($_POST);

# On édite les catégories
if(!empty($_POST)){
	$plxPlugin->responslidesjs->editSlides($_POST);
	header('Location: ' . $_SERVER['REQUEST_URI']);
	exit;
}

if (!defined('PLX_VERSION')) { #avant 5.5
?>
	<h2><?= $plxPlugin->getInfo('title') ?></h2>
<?php
}
?>
	<p><?= $plxPlugin->getInfo('description') ?></p>
	<form method="post" id="form_plxResponsiveSlidesJs">
		<?= plxToken::getTokenPostMethod() ?>
		<div class="scrollable-table">
			<table class="table full-width">
				<thead>
					<tr>
						<th class="checkbox"><input type="checkbox" onclick="checkAll(this.form, 'idSlide[]')" /></th>
						<th class="title"><?php $plxPlugin->lang('L_PICTURE') ?></th>
						<th><?php $plxPlugin->lang('L_INFORMATION') ?></th>
						<th><?php $plxPlugin->lang('L_ACTIVE') ?></th>
						<th><?php $plxPlugin->lang('L_ORDER') ?></th>
					</tr>
				</thead>
				<tbody>
<?php
$num = 0;# Initialisation de l'ordre
# Si on a des diapos
if($plxPlugin->responslidesjs->aSlides) {
	foreach($plxPlugin->responslidesjs->aSlides as $k=>$v) {
		# Pour chaque slide
		$ordre = ++$num;
?>
					<tr>
						<td>
							<input type="checkbox" name="idSlide[]" value="<?= $k ?>" />
							<input type="hidden" name="slideNum[]" value="<?= $k ?>" />
						</td>
						<td>
<?php
		if(file_exists(PLX_ROOT . $v['url'])) {
			# si L'image existe On l'affiche
			$url = plxUtils::strCheck($v['url']);
			$thumb = PLX_ROOT . preg_replace('@(\.tb)?(\.\w+)$@', '.tb$1', $url);
			$src = file_exists($thumb) ? $thumb : PLX_ROOT . $url;
?>
		<img src="<?= $src ?>" alt="<?= basename($url) ?>" title="<?= plxUtils::strCheck($v['title']) ?>" />
<?php
		} else {
			echo '&nbsp;' . PHP_EOL;
		}
?>
						</td>
						<td>
							<?= $plxPlugin->getLang('L_URL_IMAGE') . ' ' . $k ?><br />
							<?= plxUtils::printInput($k.'_url', plxUtils::strCheck($v['url']), 'text', '60-255') ?><br />
							<?= $plxPlugin->getLang('L_TITLE_IMAGE') ?><br />
							<?= plxUtils::printInput($k.'_title', plxUtils::strCheck($v['title']), 'text', '60-255') ?><br />
							<?= $plxPlugin->getLang('L_ONCLICK_IMAGE') ?><br />
							<?= plxUtils::printInput($k.'_onclick', plxUtils::strCheck($v['onclick']), 'text', '60-255') ?><br />
							<?= $plxPlugin->getLang('L_DESCRIPTION_IMAGE') ?><br />
							<?= plxUtils::printArea($k.'_description',plxUtils::strCheck($v['description']),60,3) ?>
						</td>
						<td>
							<?= plxUtils::printSelect($k . '_active', array('1'=>L_YES,'0'=>L_NO), $v['active']) ?>
						</td>
						<td>
							<?= plxUtils::printInput($k.'_ordre', $ordre, 'text', '3-3'); ?>
						</td>
					</tr>
<?php
	}

	# On récupère le dernier identifiant
	#$a = array_keys($plxPlugin->responslidesjs->aSlides);
	#rsort($a);
}
?>
				</tbody>
			</table>
		</div>
		 <p class="in-action-bar">
			<?php plxUtils::printSelect('selection', array( '' => L_FOR_SELECTION, 'delete' => $plxPlugin->getLang('L_DELETE')), '') ?>
			<input class="button submit" type="submit" name="submit" value="<?php echo L_OK ?>" />
			<input class="button update " type="submit" name="update" value="<?php $plxPlugin->lang('L_UPDATE') ?>" />
		</p>
	</form>
