<?php
if(!defined('PLX_ROOT')) {
	exit;
}

# Control du token du formulaire
plxToken::validateFormToken($_POST);

$fields = array_merge(plxResponsiveSlidesJs::EXTRA_VALUES, plxResponsiveSlidesJs::JS_DEFAULT_VALUES);

if(!empty($_POST)) {
	foreach($fields as $field=>$default) {
		if(is_bool($default)) {
			$value = !empty($_POST[$field]);
			$plxPlugin->setParam($field, $value ? 1 : 0, 'numeric');
		} elseif(is_numeric($default)) {
			$value = intval($_POST[$field]);
			if($value !== $default) {
				$plxPlugin->setParam($field, $value, 'numeric');
			} else {
				$plxPlugin->delParam($field);
			}
		} else {
			$value = trim($_POST[$field]);
			if($value !== $default) {
				$plxPlugin->setParam($field, $value, 'string');
			} else {
				$plxPlugin->delParam($field);
			}
		}
	}
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=' . $plugin);
	exit;
}

$yes_no = array(
	'1'	=> $plxPlugin->getLang('L_YES'),
	'0'	=> $plxPlugin->getLang('L_NO'),
);

if(!defined('PLX_VERSION')) {
	#avant 5.5
?>
	<h2><?php $plxPlugin->getInfo('title') ?></h2>
<?php
}
?>
	<p><?php echo $plxPlugin->getInfo('description') ?></p>
<datalist id="namespace-list">
	<option value="centered-btns" />
	<option value="transparent-btns" />
	<option value="large-btns" />
</datalist>

<form method="post" id="form_plxResponsiveSlidesJs">
	<?php echo plxToken::getTokenPostMethod() ?>
	<fieldset class="config plx">
<?php
if(!function_exists('array_key_first')) {
	# polyfill pour PHP < 7.3
	function array_key_first($array1) {
		if(is_array($array1)) {
			foreach($array1 as $k=>$unused) {
				return $k;
			}
		}
		return null;
	}
}

# le 1er fieldset est la config pour PluXml
# le suivant est la config pour la librairie responsiveslides.js
$break_fieldset = array_key_first(plxResponsiveSlidesJs::JS_DEFAULT_VALUES);
foreach($fields as $field=>$default) {
	if($field == $break_fieldset) {
?>
	</fieldset>
	<fieldset class="js">
<?php
	}
	$value = $plxPlugin->hasParam($field) ? $plxPlugin->getParam($field) : $default;
?>
		<div class="grid">
			<div class="col sml-12 med-5 label-centered">
				<label for="id_<?= $field ?>" title="<?= $field ?>"><?php $plxPlugin->lang('L_' . strtoupper($field)) ?> : </label>
			</div>
			<div class="col sml-12 med-7">
<?php
# champ de saisie
	if(is_bool($default)) {
		plxUtils::printSelect($field, $yes_no, $value);
	} elseif(is_numeric($default)) {
		$value = intval($value);
?>
				<input type="number" name="<?= $field ?>" id="id_<?= $field ?>" value="<?= $value ?>" min="0" max="30000" />
<?php
	} else {
		$list = ($field == 'namespace') ? ' list="namespace-list"' : '';
?>
				<input type="text" name="<?= $field ?>" id="id_<?= $field ?>" value="<?= $value ?>"<?= $list ?> />
<?php
	}

	$key = 'L_' . strtoupper($field) . '_HINT';
	$hint = $plxPlugin->getLang($key);
	if($hint != $key) {
?>
				<a class="hint"><span><?= $hint ?></span></a>
<?php
	}
?>
			</div>
		</div>
<?php
}
?>
		<p class="in-action-bar"><input type="submit" value="<?php $plxPlugin->lang('L_SAVE') ?>" /></p>
	</fieldset>
</form>
<p>
	<a href="http://responsiveslides.com/" target="_blank"><?php $plxPlugin->lang('L_DOCUMENTATION'); ?> 🇬🇧</a>
</p>
